$devshell = Join-Path $PSScriptRoot 'helpers/devshell.ps1'
& $devshell -arch amd64

$path_root  = split-path -Path $PSScriptRoot -Parent
$path_build = join-path $path_root 'build'
$path_code  = join-path $path_root 'code'

if ((test-path $path_build) -eq $false) {
	new-item -itemtype directory -path $path_build
}

$masm = 'ml64'

$lib_kernel32 = 'kernel32.lib'

$flag_subsystem_console = '/subsystem:console'
$flag_link              = '/link'

push-location $path_build
$unit = join-path $path_code 'forth.asm'

$asm_args = @()
$asm_args += $unit
$asm_args += $flag_link
$asm_args += $flag_subsystem_console
$asm_args += $lib_kernel32

& $masm  $asm_args
pop-location
